POST V1/Inventory.{ext}/ReportWizardGetGrid

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.ReportWizardProUtility+ReportWizardQueryInput
NameDescriptionTypeAdditional information
SelectedColumns

No description available

Collection of EMS.Inventory.Entities.ReportWizardProUtility+Column

None.

TableValue

No description available

string

None.

FilterText

No description available

string

None.

UserId

No description available

string

None.

ClientId

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "selectedColumns": [
    {
      "columnName": "sample string 1",
      "table": "sample string 2",
      "value": "sample string 3",
      "queryValue": "sample string 4"
    },
    {
      "columnName": "sample string 1",
      "table": "sample string 2",
      "value": "sample string 3",
      "queryValue": "sample string 4"
    }
  ],
  "tableValue": "sample string 1",
  "filterText": "sample string 2",
  "userId": "sample string 3",
  "clientId": "sample string 4"
}

application/xml, text/xml

Sample:
<ReportWizardProUtility.ReportWizardQueryInput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <ClientId>sample string 4</ClientId>
  <FilterText>sample string 2</FilterText>
  <SelectedColumns>
    <ReportWizardProUtility.Column>
      <ColumnName>sample string 1</ColumnName>
      <QueryValue>sample string 4</QueryValue>
      <Table>sample string 2</Table>
      <Value>sample string 3</Value>
    </ReportWizardProUtility.Column>
    <ReportWizardProUtility.Column>
      <ColumnName>sample string 1</ColumnName>
      <QueryValue>sample string 4</QueryValue>
      <Table>sample string 2</Table>
      <Value>sample string 3</Value>
    </ReportWizardProUtility.Column>
  </SelectedColumns>
  <TableValue>sample string 1</TableValue>
  <UserId>sample string 3</UserId>
</ReportWizardProUtility.ReportWizardQueryInput>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Data.DataTable
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

System.Data.DataTable

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "DataTable",
  "response": null,
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.